For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact us
DocumentationAPI Reference
DocumentationAPI Reference
  • Authentication
    • GETVerify API key
  • Documents
    • POSTUpload document
    • POSTUpload document into folder
    • GETList documents
    • GETList documents in folder
    • GETGet document
    • POSTCreate folder
    • DELDelete folder
    • POSTMove documents between folders
    • DELDelete documents
  • Workspaces
    • GETGet workspace
    • DELDelete workspace
    • POSTUpdate workspace
    • POSTAdd or remove workspace embeddings
    • GETList workspace tools
    • POSTAttach tool to workspace
    • DELDetach tool from workspace
  • Number Requests
    • GETList number requests
    • POSTRequest a phone number
    • GETGet number request
  • Numbers
    • GETList phone numbers
    • GETList phone numbers in organization
  • Organizations
    • GETList organizations
    • POSTCreate organization
    • GETGet organization
    • DELDelete organization
    • POSTUpdate organization
    • GETList workspaces in organization
    • POSTCreate workspace
    • GETList organization tools
    • POSTCreate organization tool
    • DELDelete organization tool
    • PATCHUpdate organization tool
  • Accounts
    • GETList accounts
    • POSTCreate account
  • Voice Integration
    • GETGet voice assistant config
    • PATCHUpdate voice assistant config
    • GETGet voice integration catalog
    • POSTProvision voice integration
    • GETList voice call logs
    • GETList workspace voice call logs
  • Whats App Integration
    • POSTMint a WhatsApp Business connect page token
    • GETRender WhatsApp Business connect iframe page
    • POSTFinalize WhatsApp Business onboarding (iframe-initiated)
    • DELDisconnect WhatsApp Business integration
Contact us
LogoLogo
Number Requests

Request a phone number

POST
https://staging-app.lumenia.net/api/v1/org/:orgSlug/number-requests
POST
/api/v1/org/:orgSlug/number-requests
$curl -X POST https://staging-app.lumenia.net/api/v1/org/orgSlug/number-requests \
> -H "X-Account-Id: X-Account-Id" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "country": "IT",
> "number_type": "local",
> "use_case": "Automation",
> "contact_name": "Jane Doe",
> "contact_email": "[email protected]",
> "requested_area": "Amsterdam",
> "company_name": "Acme BV",
> "vat_number": "",
> "address": "Keizersgracht 1",
> "website": "https://acme.example"
>}'
1{
2 "success": true,
3 "numberRequest": {
4 "id": 42,
5 "organization_id": 1,
6 "country": "NL",
7 "number_type": "local",
8 "use_case": "Customer support",
9 "status": "submitted",
10 "requested_area": "Amsterdam",
11 "company_name": "Acme BV",
12 "vat_number": "",
13 "address": "Keizersgracht 1",
14 "website": "https://acme.example",
15 "contact_name": "Jane Doe",
16 "contact_email": "[email protected]",
17 "assigned_to": null,
18 "ops_notes": null,
19 "provisioned_number_id": null,
20 "created_at": "2026-01-15T10:00:00.000Z",
21 "updated_at": "2026-01-15T10:00:00.000Z"
22 }
23}

Create a number request for the organization identified by {orgSlug} (iPaaS / API key). Requires X-Account-Id header; the org must belong to that account.

Was this page helpful?
Previous

Get number request

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

orgSlugstringRequired

Hex-encoded slug of the target organization.

Headers

X-Account-IdstringRequired
Account uuid context. Must belong to the API key's partner. Routes that target an org additionally require the org to belong to this account.

Request

This endpoint expects an object.
countrystringRequired
number_typeenumRequired
Allowed values:
use_casestringRequired
contact_namestringRequired
contact_emailstringRequiredformat: "email"
requested_areastring or nullOptional
Optional area or city code preference.
company_namestringOptional
vat_numberstringOptional
addressstringOptional
websitestringOptional

Response

Number request created.
successboolean
numberRequestobject

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error